Bug 662951 - Review Request: perl_checker - Verify Perl code
Review Request: perl_checker - Verify Perl code
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-14 04:12 EST by Thierry Vignaud
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-26 10:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thierry Vignaud 2010-12-14 04:12:38 EST
Spec URL: http://kenobi.mandriva.com/~tv/FC/perl_checker.spec
SRPM URL: http://kenobi.mandriva.com/~tv/FC/perl_checker-1.2.11-1.fc14.src.rpm
Description: This is a perl equivalent of clint which is widely used at Mandriva.

This is one of my first package for Fedora (I'm packaging for Mandriva Linux
since 1999), and I'm seeking a sponsor for Fedora.
Comment 1 Xavier Bachelot 2010-12-14 10:37:34 EST
I'm not a sponsor but from a quick glance, here are a couple comments that will hopefully help.
- Don't define version and release twice. Just use plain "Version: 1.2.3", for example.
- Source0 must be a full URL.
- BuildRequires/Obsolotes/Provides for perl-MDK-Common looks dubious and are probably uneeded for the Fedora package.
- Why disable AutoReqProv ?
- %defattr should be %defattr(-,root,root,-)
- Watch out for potentially unowned files/dirs or missing Requires (%{_datadir}/vim/ftplugin ; %{_sysconfdir}/emacs/site-start.d)
- You might want to trim the changelog not too include the full Mandriva history. It is obviously fine to keep a comment about the source of this spec though.
Comment 2 Steve Traylen 2011-01-22 13:31:55 EST
Hi Thierry, 

Are you able to provide new packages based on Xavier's comments. They are all valid.

Steve.
Comment 3 Michael Scherer 2011-11-26 10:51:01 EST
The url is no longer valid ( afaik, the home was trashed on the server at mandriva ), so i am closing the bug report until a new spec is posted.

Note You need to log in before you can comment on or make changes to this bug.